%   This tree of classes provides operations on block of finite elements.
% 
% - feblock is the base class, from which specialized blocks may
%   be derived to implement or override behaviour.
% - feblock_defor_ss implements the small strain, small
%   displacement deformation behavior.
% - feblock_defor_ss_sri implements the small strain, small
%   displacement deformation behavior, with selective reduce
%   integration (SRI). 
% - feblock_diffusion implements the behavior for thermal
%   analysis.
% - feblock_defor_taut_wire is a toy block, used only as a
%   demonstration in the first part of the finite element book.

 
