% Mesh of a block located in the range
% <0,Length> x <0,Width> x <0,Height>
% Divided into elements: nL, nW, nH in the first, second, and
% third direction (x,y,z).
function [fens,gcells] = blockH20(Length,Width,Height,nL,nW,nH)
    [fens,gcells] = block(Length,Width,Height,nL,nW,nH);
    [fens,gcells] = H8_to_H20(fens,gcells);
end